<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet"
        href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css">

    <!-- bootstrap & jquery -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

    <!-- SweetAlert2 -->
    <link rel="stylesheet" href="plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">
    <script src="plugins/sweetalert2/sweetalert2.min.js"></script>

    <!-- Import Datatable sau jquery -->
    <!-- Import them style bootstrap cho datatable -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">
        <!-- Navbar -->
        <nav class="main-header navbar navbar-expand navbar-white navbar-light">
            <!-- Left navbar links -->
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
                </li>
                <li class="nav-item d-none d-sm-inline-block">
                    <a href="#" class="nav-link">Project</a>
                </li>
            </ul>

            <!-- Right navbar links -->
            <ul class="navbar-nav ml-auto">
                <li class="nav-item dropdown mr-3">
                    <a class="nav-link" data-toggle="dropdown" href="#"><i class="fa-solid fa-user-large"></i></a>
                    <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
                        <span class="dropdown-item dropdown-header" id="user-info"></span>
                        <div class="dropdown-divider"></div>
                        <div class="text-center mt-2">
                            <button class="btn btn-danger" id="btn-log-out"><i
                                    class="fa-solid fa-right-from-bracket"></i> Log out</button>
                        </div>
                    </div>
                </li>
            </ul>
        </nav>
        <!-- /.navbar -->

        <!-- Main Sidebar Container -->
        <aside class="main-sidebar sidebar-dark-primary elevation-4">
            <!-- Brand Logo -->
            <a href="addressMap.html" class="brand-link">
                <img src="dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3"
                    style="opacity: .8">
                <span class="brand-text font-weight-light">ADMIN Real Estates</span>
            </a>

            <!-- Sidebar -->
            <div class="sidebar">
                <div class="user-panel mt-3 pb-3 mb-3 d-flex">
                    <div class="info text-white ml-2" id="username-info"></div>
                </div>
                <!-- Sidebar Menu -->
                <nav class="mt-2">
                    <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu"
                        data-accordion="false">
                        <!-- Add icons to the links using the .nav-icon class with font-awesome or any other icon font library -->
                        <li class="nav-item">
                            <a href="./addressMap.html" class="nav-link ">
                                <i class="fa-solid fa-map-location-dot"></i>
                                <p>
                                    Địa chỉ tọa độ
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./masterLayout.html" class="nav-link ">
                                <i class="fa-solid fa-layer-group"></i>
                                <p>
                                    Mặt bằng tầng
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./constructionContractor.html" class="nav-link ">
                                <i class="fa-solid fa-person-digging"></i>
                                <p>
                                    Nhà thầu xây dựng
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./designUnit.html" class="nav-link ">
                                <i class="fa-solid fa-compass-drafting"></i>
                                <p>
                                    Đơn vị thiết kế
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./investor.html" class="nav-link ">
                                <i class="fa-solid fa-user-tie"></i>
                                <p>
                                    Nhà đầu tư
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./regionLink.html" class="nav-link">
                                <i class="fa-solid fa-map"></i>
                                <p>
                                    Kết nối vùng
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./utilities.html" class="nav-link">
                                <i class="fa-solid fa-person-swimming"></i>
                                <p>
                                    Tiện ích
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./customers.html" class="nav-link ">
                                <i class="fa-solid fa-users-line"></i>
                                <p>
                                    Khách hàng
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./advise.html" class="nav-link">
                                <i class="fa-solid fa-comment-medical"></i>
                                <p>
                                    Thông tin KH cần tư vấn
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./employees.html" class="nav-link ">
                                <i class="fa-solid fa-user"></i>
                                <p>
                                    Người dùng
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./project.html" class="nav-link active">
                                <i class="fa-solid fa-hotel"></i>
                                <p>
                                    Dự án xây dựng
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="./realestate.html" class="nav-link">
                                <i class="fa-solid fa-city"></i>
                                <p>
                                    Thông tin BĐS
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="#" class="nav-link">
                                <i class="fa-solid fa-bars"></i>
                                <p>
                                    Địa chính
                                    <i class="right fas fa-angle-left"></i>
                                </p>
                            </a>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="./province.html" class="nav-link">
                                        <i class="fa-solid fa-tree-city"></i>
                                        <p>Tỉnh thành</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="./district.html" class="nav-link ">
                                        <i class="fa-solid fa-tree-city"></i>
                                        <p>Quận huyện</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="./ward.html" class="nav-link">
                                        <i class="fa-solid fa-tree-city"></i>
                                        <p>Phường xã</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="./street.html" class="nav-link">
                                        <i class="fa-solid fa-tree-city"></i>
                                        <p>Đường</p>
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="nav-item">
                            <a href="./subscription.html" class="nav-link">
                                <i class="fa-solid fa-bell"></i>
                                <p>
                                    Subscription
                                </p>
                            </a>
                        </li>
                    </ul>
                </nav>
                <!-- /.sidebar-menu -->
            </div>
            <!-- /.sidebar -->
        </aside>

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <div class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6">
                        </div><!-- /.col -->
                        <div class="col-sm-6">
                            <ol class="breadcrumb float-sm-right">
                                <li class="breadcrumb-item"><a href="#">Home</a></li>
                                <li class="breadcrumb-item active">Project</li>
                            </ol>
                        </div><!-- /.col -->
                    </div><!-- /.row -->
                </div><!-- /.container-fluid -->
            </div>
            <!-- /.content-header -->

            <!-- Main content -->
            <section class="content">
                <div class="container-fluid">
                    <h4 class="text-center form-group">Project List</h4>
                    <div class="form-group">
                        <button class="btn btn-success" id="btn-create-new-project"><i class="fa-solid fa-plus"></i>
                            Create New Project</button>
                    </div>
                    <table class="table table-bordered table-striped table-hover" id="project-table">
                        <thead>
                            <tr>
                                <th>Action</th>
                                <th>Chi tiết dự án</th>
                                <th>ID</th>
                                <th>Tên dự án</th>
                                <th>Tỉnh thành</th>
                                <th>Quận huyện</th>
                                <th>Tổng diện tích dự án</th>
                                <th>Diện tích xây dựng</th>
                                <th>Số tòa nhà</th>
                                <th>Số căn hộ</th>
                                <th>Chủ đầu tư</th>
                                <th>Nhà thầu xây dựng</th>
                            </tr>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>

                </div><!-- /.container-fluid -->
            </section>
            <!-- /.content -->

            <!-- Create new project modal -->
            <div id="create-project-modal" class="modal fade" tabindex="-1">
                <div class="modal-dialog modal-lg">
                    <div class="modal-content">
                        <div class="modal-header bg-success">
                            <h5 class="modal-title">Create New Project</h5>
                            <button class="close" data-dismiss="modal">&times;</button>
                        </div>
                        <div class="modal-body">
                            <form>
                                <div class="row form-group">
                                    <div class="col-md-4 text-left">
                                        <label>Name<i class="text-danger">*</i></label>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <input id="create-input-name" type="text" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-4 text-left">
                                        <label>Tỉnh thành<i class="text-danger">*</i></label>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <select id="create-select-province" class="form-control">
                                            <option value="0" hidden>--Tên tỉnh thành--</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-4 text-left">
                                        <label>Quận Huyện<i class="text-danger">*</i></label>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <select id="create-select-district" class="form-control" disabled>
                                            <option value="0" hidden>--Tên quận huyện--</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-4 text-left">
                                        <label>Vĩ độ (Lat)</label>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <input id="create-input-lat" type="number" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-4 text-left">
                                        <label>Kinh độ (Lng)</label>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <input id="create-input-lng" type="number" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-4 text-left">
                                        <label>Address</label>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <input id="create-input-address" type="text" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-4 text-left">
                                        <label>Slogan</label>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <input id="create-input-slogan" type="text" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-4 text-left">
                                        <label>Mô tả dự án</label>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <input id="create-input-description" type="text" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-4 text-left">
                                        <label>Tổng diện tích dự án</label>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <input id="create-input-acreage" type="number" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-4 text-left">
                                        <label>Diện tích xây dựng</label>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <input id="create-input-constructArea" type="number" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-4 text-left">
                                        <label>Số tòa nhà</label>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <input id="create-input-numBlock" type="number" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-4 text-left">
                                        <label>Số tầng</label>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <input id="create-input-numFloors" type="text" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-4 text-left">
                                        <label>Số căn hộ<i class="text-danger">*</i></label>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <input id="create-input-numApartment" type="number" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-4 text-left">
                                        <label>Diện tích căn hộ</label>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <input id="create-input-apartmenttArea" type="text" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-4 text-left">
                                        <label>Chủ đầu tư</label>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <select id="create-select-investor" class="form-control">
                                            <option value="0" hidden>--Chủ đầu tư--</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-4 text-left">
                                        <label>Nhà thầu xây dựng</label>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <select id="create-select-ccontractor" class="form-control">
                                            <option value="0" hidden>--Nhà thầu xây dựng--</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-4 text-left">
                                        <label>Đơn vị thiết kế</label>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <input id="create-input-designUnit" type="text" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-4 text-left">
                                        <label>Tiện ích dự án</label>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <div class="row form-group">
                                            <div class="col-sm-6">
                                                <input id="create-input-utilities1" name="utilities-checkbox" value="1"
                                                    type="checkbox"> Sky
                                                Garden, sky-garden.jpeg
                                            </div>
                                            <div class="col-sm-6">
                                                <input id="create-input-utilities2" name="utilities-checkbox" value="2"
                                                    type="checkbox"> Hồ bơi
                                                chân mây
                                            </div>
                                        </div>
                                        <div class="row form-group">
                                            <div class="col-sm-6">
                                                <input id="create-input-utilities3" name="utilities-checkbox" value="3"
                                                    type="checkbox"> Công viên
                                                đài phun nước
                                            </div>
                                            <div class="col-sm-6">
                                                <input id="create-input-utilities4" name="utilities-checkbox" value="4"
                                                    type="checkbox"> Shophouse
                                            </div>
                                        </div>
                                        <div class="row form-group">
                                            <div class="col-sm-6">
                                                <input id="create-input-utilities5" name="utilities-checkbox" value="5"
                                                    type="checkbox"> GYM &amp;
                                                SPA
                                            </div>
                                            <div class="col-sm-6">
                                                <input id="create-input-utilities6" name="utilities-checkbox" value="6"
                                                    type="checkbox"> Vườn trẻ
                                                và trường mẫu giáo
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-4 text-left">
                                        <label>Kết nối vùng</label>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <div class="row form-group">
                                            <div class="col-sm-6">
                                                <input id="create-input-regionLink1" name="regionLink-checkbox"
                                                    value="1" type="checkbox"> Trung
                                                tâm thương mại Aeon Mall Bình Tân
                                            </div>
                                            <div class="col-sm-6">
                                                <input id="create-input-regionLink2" name="regionLink-checkbox"
                                                    value="2" type="checkbox"> Siêu thị
                                                Mega Market
                                            </div>
                                        </div>
                                        <div class="row form-group">
                                            <div class="col-sm-6">
                                                <input id="create-input-regionLink3" name="regionLink-checkbox"
                                                    value="3" type="checkbox"> Co.op
                                                mart
                                            </div>
                                            <div class="col-sm-6">
                                                <input id="create-input-regionLink4" name="regionLink-checkbox"
                                                    value="4" type="checkbox"> Chợ Bình
                                                Tây
                                            </div>
                                        </div>
                                        <div class="row form-group">
                                            <div class="col-sm-6">
                                                <input id="create-input-regionLink5" name="regionLink-checkbox"
                                                    value="5" type="checkbox"> Chợ Kim
                                                Biên
                                            </div>
                                            <div class="col-sm-6">
                                                <input id="create-input-regionLink6" name="regionLink-checkbox"
                                                    value="6" type="checkbox"> Chợ Soái
                                                Kình Lâm
                                            </div>
                                        </div>
                                        <div class="row form-group">
                                            <div class="col-sm-6">
                                                <input id="create-input-regionLink7" name="regionLink-checkbox"
                                                    value="7" type="checkbox"> Công
                                                viên Phú Lâm
                                            </div>
                                            <div class="col-sm-6">
                                                <input id="create-input-regionLink8" name="regionLink-checkbox"
                                                    value="8" type="checkbox"> Công
                                                viên Văn hóa Đầm Sen
                                            </div>
                                        </div>
                                        <div class="row form-group">
                                            <div class="col-sm-6">
                                                <input id="create-input-regionLink9" name="regionLink-checkbox"
                                                    value="9" type="checkbox"> Công
                                                viên Bình Phú
                                            </div>
                                            <div class="col-sm-6">
                                                <input id="create-input-regionLink10" name="regionLink-checkbox"
                                                    value="10" type="checkbox"> Trường
                                                tiểu học Nguyễn Văn Luông
                                            </div>
                                        </div>
                                        <div class="row form-group">
                                            <div class="col-sm-6">
                                                <input id="create-input-regionLink11" name="regionLink-checkbox"
                                                    value="9" type="checkbox"> Trường
                                                trung học Mạc Đĩnh Chi
                                            </div>
                                            <div class="col-sm-6">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-4 text-left">
                                        <label>Photo</label>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <input id="create-input-photo" type="text" class="form-control">
                                    </div>
                                </div>
                            </form>
                        </div>
                        <div class="modal-footer">
                            <button class="btn btn-primary" id="btn-create-confirm">Confirm</button>
                            <button class="btn btn-secondary" id="btn-create-cancel"
                                data-dismiss="modal">Cancel</button>
                        </div>
                    </div>
                </div>
            </div>

            <!-- project Detail modal -->
            <div id="project-detail-modal" class="modal fade" tabindex="-1">
                <div class="modal-dialog modal-lg">
                    <div class="modal-content">
                        <div class="modal-header bg-success">
                            <h5 class="modal-title">Project Details</h5>
                            <button class="close" data-dismiss="modal">&times;</button>
                        </div>
                        <div class="modal-body">
                            <form>
                                <div class="row form-group">
                                    <div class="col-md-4 text-left">
                                        <label>Name<i class="text-danger">*</i></label>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <input id="update-input-name" type="text" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-4 text-left">
                                        <label>Tỉnh thành<i class="text-danger">*</i></label>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <select id="update-select-province" class="form-control">
                                            <option value="0" hidden>--Tên tỉnh thành--</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-4 text-left">
                                        <label>Quận Huyện<i class="text-danger">*</i></label>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <select id="update-select-district" class="form-control" disabled>
                                            <option value="0" hidden>--Tên quận huyện--</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-4 text-left">
                                        <label>Vĩ độ (Lat)</label>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <input id="update-input-lat" type="number" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-4 text-left">
                                        <label>Kinh độ (Lng)</label>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <input id="update-input-lng" type="number" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-4 text-left">
                                        <label>Address</label>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <input id="update-input-address" type="text" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-4 text-left">
                                        <label>Slogan</label>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <input id="update-input-slogan" type="text" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-4 text-left">
                                        <label>Mô tả dự án</label>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <input id="update-input-description" type="text" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-4 text-left">
                                        <label>Tổng diện tích dự án</label>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <input id="update-input-acreage" type="number" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-4 text-left">
                                        <label>Diện tích xây dựng</label>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <input id="update-input-constructArea" type="number" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-4 text-left">
                                        <label>Số tòa nhà</label>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <input id="update-input-numBlock" type="number" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-4 text-left">
                                        <label>Số tầng</label>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <input id="update-input-numFloors" type="text" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-4 text-left">
                                        <label>Số căn hộ<i class="text-danger">*</i></label>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <input id="update-input-numApartment" type="number" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-4 text-left">
                                        <label>Diện tích căn hộ</label>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <input id="update-input-apartmenttArea" type="text" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-4 text-left">
                                        <label>Chủ đầu tư</label>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <select id="update-select-investor" class="form-control">
                                            <option value="0" hidden>--Chủ đầu tư--</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-4 text-left">
                                        <label>Nhà thầu xây dựng</label>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <select id="update-select-ccontractor" class="form-control">
                                            <option value="0" hidden>--Nhà thầu xây dựng--</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-4 text-left">
                                        <label>Đơn vị thiết kế</label>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <input id="update-input-designUnit" type="text" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-4 text-left">
                                        <label>Tiện ích dự án</label>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <div class="row form-group">
                                            <div class="col-sm-6">
                                                <input id="update-input-utilities1" name="utilities-checkbox" value="1"
                                                    type="checkbox"> Sky
                                                Garden, sky-garden.jpeg
                                            </div>
                                            <div class="col-sm-6">
                                                <input id="update-input-utilities2" name="utilities-checkbox" value="2"
                                                    type="checkbox"> Hồ bơi
                                                chân mây
                                            </div>
                                        </div>
                                        <div class="row form-group">
                                            <div class="col-sm-6">
                                                <input id="update-input-utilities3" name="utilities-checkbox" value="3"
                                                    type="checkbox"> Công viên
                                                đài phun nước
                                            </div>
                                            <div class="col-sm-6">
                                                <input id="update-input-utilities4" name="utilities-checkbox" value="4"
                                                    type="checkbox"> Shophouse
                                            </div>
                                        </div>
                                        <div class="row form-group">
                                            <div class="col-sm-6">
                                                <input id="update-input-utilities5" name="utilities-checkbox" value="5"
                                                    type="checkbox"> GYM &amp;
                                                SPA
                                            </div>
                                            <div class="col-sm-6">
                                                <input id="update-input-utilities6" name="utilities-checkbox" value="6"
                                                    type="checkbox"> Vườn trẻ
                                                và trường mẫu giáo
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-4 text-left">
                                        <label>Kết nối vùng</label>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <div class="row form-group">
                                            <div class="col-sm-6">
                                                <input id="update-input-regionLink1" name="regionLink-checkbox"
                                                    value="1" type="checkbox"> Trung
                                                tâm thương mại Aeon Mall Bình Tân
                                            </div>
                                            <div class="col-sm-6">
                                                <input id="update-input-regionLink2" name="regionLink-checkbox"
                                                    value="2" type="checkbox"> Siêu thị
                                                Mega Market
                                            </div>
                                        </div>
                                        <div class="row form-group">
                                            <div class="col-sm-6">
                                                <input id="update-input-regionLink3" name="regionLink-checkbox"
                                                    value="3" type="checkbox"> Co.op
                                                mart
                                            </div>
                                            <div class="col-sm-6">
                                                <input id="update-input-regionLink4" name="regionLink-checkbox"
                                                    value="4" type="checkbox"> Chợ Bình
                                                Tây
                                            </div>
                                        </div>
                                        <div class="row form-group">
                                            <div class="col-sm-6">
                                                <input id="update-input-regionLink5" name="regionLink-checkbox"
                                                    value="5" type="checkbox"> Chợ Kim
                                                Biên
                                            </div>
                                            <div class="col-sm-6">
                                                <input id="update-input-regionLink6" name="regionLink-checkbox"
                                                    value="6" type="checkbox"> Chợ Soái
                                                Kình Lâm
                                            </div>
                                        </div>
                                        <div class="row form-group">
                                            <div class="col-sm-6">
                                                <input id="update-input-regionLink7" name="regionLink-checkbox"
                                                    value="7" type="checkbox"> Công
                                                viên Phú Lâm
                                            </div>
                                            <div class="col-sm-6">
                                                <input id="update-input-regionLink8" name="regionLink-checkbox"
                                                    value="8" type="checkbox"> Công
                                                viên Văn hóa Đầm Sen
                                            </div>
                                        </div>
                                        <div class="row form-group">
                                            <div class="col-sm-6">
                                                <input id="update-input-regionLink9" name="regionLink-checkbox"
                                                    value="9" type="checkbox"> Công
                                                viên Bình Phú
                                            </div>
                                            <div class="col-sm-6">
                                                <input id="update-input-regionLink10" name="regionLink-checkbox"
                                                    value="10" type="checkbox"> Trường
                                                tiểu học Nguyễn Văn Luông
                                            </div>
                                        </div>
                                        <div class="row form-group">
                                            <div class="col-sm-6">
                                                <input id="update-input-regionLink11" name="regionLink-checkbox"
                                                    value="9" type="checkbox"> Trường
                                                trung học Mạc Đĩnh Chi
                                            </div>
                                            <div class="col-sm-6">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-4 text-left">
                                        <label>Photo</label>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <input id="update-input-photo" type="text" class="form-control">
                                    </div>
                                </div>
                            </form>
                        </div>
                        <div class="modal-footer">
                            <button class="btn btn-primary" id="btn-update-confirm">Update Confirm</button>
                            <button class="btn btn-secondary" id="btn-update-cancel"
                                data-dismiss="modal">Cancel</button>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Delete project modal -->
            <div id="delete-project-modal" class="modal fade" tabindex="-1">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header bg-danger">
                            <h5 class="modal-title">Delete Project Confirmation</h5>
                            <button class="close" data-dismiss="modal">&times;</button>
                        </div>
                        <div class="modal-body">
                            Are you sure to delete this Project?
                        </div>
                        <div class="modal-footer">
                            <button class="btn btn-danger" id="btn-delete-confirm">Confirm</button>
                            <button class="btn btn-secondary" id="btn-update-cancel"
                                data-dismiss="modal">Cancel</button>
                        </div>
                    </div>
                </div>
            </div>

        </div>
        <!-- /.content-wrapper -->
        <footer class="main-footer">

            <div class="float-right d-none d-sm-inline-block">
                <b>Version</b> 1.0.0
            </div>
        </footer>
    </div>

    <!-- AdminLTE App -->
    <script src="dist/js/adminlte.js"></script>

    <script>
        $(document).ready(function () {

            const token = getCookie("token");

            // Biến mảng toàn cục chứa danh sách tên các thuộc tính
            const gDATA_COLS = ["action", "projectDetail", "id", "name", "_district._province.name", "_district.name", "acreage", "constructArea", "numBlock", "numApartment", "investor.name", "constructionContractor.name"];

            // Biến mảng toàn cục định nghĩa chỉ số các cột tương ứng
            const gACTION_COL = 0;
            const gPROJECT_DETAIL_COL = 1;
            const gID_COL = 2;
            const gNAME_COL = 3;
            const gPROVINCE_COL = 4;
            const gDISTRICT_COL = 5;
            const gACREAGE_COL = 6;
            const gCONSTRUCTAREA_COL = 7;
            const gNUMBLOCK_COL = 8;
            const gNUMAPARTMENT_COL = 9;
            const gINVESTOR_COL = 10;
            const gCONSTRUCTION_CONTRACTOR_COL = 11;

            var gTable = $("#project-table").DataTable({
                columns: [
                    { data: gDATA_COLS[gACTION_COL] },
                    { data: gDATA_COLS[gPROJECT_DETAIL_COL] },
                    { data: gDATA_COLS[gID_COL] },
                    { data: gDATA_COLS[gNAME_COL] },
                    { data: gDATA_COLS[gPROVINCE_COL] },
                    { data: gDATA_COLS[gDISTRICT_COL] },
                    { data: gDATA_COLS[gACREAGE_COL] },
                    { data: gDATA_COLS[gCONSTRUCTAREA_COL] },
                    { data: gDATA_COLS[gNUMBLOCK_COL] },
                    { data: gDATA_COLS[gNUMAPARTMENT_COL] },
                    { data: gDATA_COLS[gINVESTOR_COL] },
                    { data: gDATA_COLS[gCONSTRUCTION_CONTRACTOR_COL] },
                ],
                "columnDefs": [
                    {
                        "targets": gACTION_COL,
                        "defaultContent": `<div class="row d-flex justify-content-center"><button class='btn btn-primary btn-detail-project'><i class="fa-regular fa-pen-to-square"></i></button>
                            <button class='btn btn-danger btn-delete-project'><i class="fa-regular fa-trash-can"></i></button></div>`
                    },
                    {
                        "targets": gPROJECT_DETAIL_COL,
                        "defaultContent": `<button class='btn btn-info btn-block btn-detail-realestate'>Thông tin BĐS</button>`
                    },
                    {
                        "targets": gINVESTOR_COL,
                        "defaultContent": "",
                    },
                    {
                        "targets": gCONSTRUCTION_CONTRACTOR_COL,
                        "defaultContent": "",
                    }
                ],
                scrollX: true,
            });

            var gId;

            /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
            onPageLoading();

            //Set sự kiện cho nút logout
            $("#btn-log-out").on("click", function () {
                redirectToLogin();
            });

            // gán xự kiện khi ô select thay đổi
            $("#create-select-province").on("change", function () {
                $("#create-select-district").html("");
                var bProvinceId = $(this).val();
                callApiGetDistrictCreateByProvinceId(bProvinceId);
            });

            // gán xự kiện khi ô select thay đổi
            $("#update-select-province").on("change", function () {
                $("#update-select-district").html("");
                var bProvinceId = $(this).val();
                callApiGetDistrictUpdateByProvinceId(bProvinceId);
            });

            // gán xự kiện nút tạo mới project
            $("#btn-create-new-project").on("click", function () {
                $("#create-project-modal").modal("show");
            });

            // gán xự kiện  nút chi tiết project
            $("#project-table").on("click", ".btn-detail-project", function () {
                onBtnDetailprojectClick(this);
            });

            // gán xự kiện  nút xóa project
            $("#project-table").on("click", ".btn-delete-project", function () {
                onBtnDeleteprojectClick(this);
            });

            // gán xự kiện  nút xem chi tiết thông tin BĐS của project
            $("#project-table").on("click", ".btn-detail-realestate", function () {
                onBtnDetailRealEstateClick(this);
            });

            // gán xự kiện nút xác nhận tạo mới project
            $("#btn-create-confirm").on("click", function () {
                onBtnCreateprojectConfirmClick();
            });

            // gán xự kiện nút xác nhận câp nhật project
            $("#btn-update-confirm").on("click", function () {
                onBtnUpdateprojectConfirmClick();
            });

            // gán xự kiện  nút xác nhận xóa project
            $("#btn-delete-confirm").on("click", function () {
                onBtnDeleteprojectConfirmClick();
            });

            /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
            function onPageLoading() {
                "use strict";
                callApiGetUserIdByToken();
                callApiGetAllprojects();

                callApiGetAllProvince();

                callApiGetAllInvestor();

                callApiGetAllCContractor();
            }

            // Hàm xử lý khi nút xác nhận tạo mới project được nhấn
            function onBtnCreateprojectConfirmClick() {
                "use strict";
                var vCreateData = {
                    name: "",
                    address: "",
                    slogan: "",
                    description: "",
                    acreage: "",
                    constructArea: "",
                    numBlock: "",
                    numFloors: "",
                    numApartment: "",
                    apartmenttArea: "",
                    designUnit: "",
                    utilities: [],
                    regionLink: [],
                    photo: "",
                    _lat: "",
                    _lng: "",
                }
                // B1: Thu thập dữ liệu
                var vProvinceValue = $("#create-select-province").val();
                var vDistrictValue = $("#create-select-district").val();
                var vInvestorValue = $("#create-select-investor").val();
                var vCContractorValue = $("#create-select-ccontractor").val();
                getCreateData(vCreateData);
                // B2: Kiểm tra dữ liệu
                var isValidate = validateCreateData(vCreateData, vProvinceValue, vDistrictValue);
                if (isValidate == true) {
                    // B3: xử lý hiển thị dữ liệu
                    callApiCreateNewproject(vCreateData, vProvinceValue, vDistrictValue, vInvestorValue, vCContractorValue);
                    // gọi lại tất cả project
                    callApiGetAllprojects();
                    // Ẩn modal
                    $("#create-project-modal").modal("hide");
                    // clear dữ liệu trên modal
                    clearDataInCreateModal();
                }
            }

            // Hàm xử lý khi nút chi tiết project được nhấn
            function onBtnDetailprojectClick(paramBtnDetail) {
                "use strict";
                // B1: Thu thập dữ liệu
                //Xác định thẻ tr là cha của nút được chọn
                var vRowSelected = $(paramBtnDetail).parents('tr');
                // Lấy các dữ liệu của hàng có cùng hàng với nút được nhấn
                var vDataRow = gTable.row(vRowSelected).data();
                //console.log(vDataRow);
                gId = vDataRow.id;
                // B2: Kiểm tra dữ liệu (bỏ qua)
                // B3: xử lý hiển thị dữ liệu vào modal
                callApiGetprojectDataById();
                // Hiện modal
                $("#project-detail-modal").modal("show");
            }

            // Hàm xử lý khi nút chi tiết project được nhấn
            function onBtnDeleteprojectClick(paramBtnDetail) {
                "use strict";
                // B1: Thu thập dữ liệu
                //Xác định thẻ tr là cha của nút được chọn
                var vRowSelected = $(paramBtnDetail).parents('tr');
                // Lấy các dữ liệu của hàng có cùng hàng với nút được nhấn
                var vDataRow = gTable.row(vRowSelected).data();
                gId = vDataRow.id;
                // B2: Kiểm tra dữ liệu (bỏ qua)
                // B3: xử lý hiển thị dữ liệu vào modal
                // Hiện modal
                $("#delete-project-modal").modal("show");
            }

            // Hàm xử lý khi nút chi tiết realEstate được nhấn
            function onBtnDetailRealEstateClick(paramBtnDetail) {
                "use strict";
                // B1: Thu thập dữ liệu
                //Xác định thẻ tr là cha của nút được chọn
                var vRowSelected = $(paramBtnDetail).parents('tr');
                // Lấy các dữ liệu của hàng có cùng hàng với nút được nhấn
                var vDataRow = gTable.row(vRowSelected).data();
                //console.log(vDataRow);
                // B2: Kiểm tra dữ liệu (bỏ qua)
                // B3: xử lý hiển thị dữ liệu vào modal
                const vDETAIL_REALESTATE_URL = "projectdetails.html"
                var vUrlSiteToOpen = vDETAIL_REALESTATE_URL + "?" + "projectId=" + vDataRow.id;
                window.location.href = vUrlSiteToOpen;
            }

            // Hàm xử lý khi nút xác nhận cập nhật project được nhấn
            function onBtnUpdateprojectConfirmClick() {
                "use strict";
                var vUpdateData = {
                    name: "",
                    address: "",
                    slogan: "",
                    description: "",
                    acreage: "",
                    constructArea: "",
                    numBlock: "",
                    numFloors: "",
                    numApartment: "",
                    apartmenttArea: "",
                    designUnit: "",
                    utilities: [],
                    regionLink: [],
                    photo: "",
                    _lat: "",
                    _lng: "",
                }
                // B1: Thu thập dữ liệu
                var vProvinceValue = $("#update-select-province").val();
                var vDistrictValue = $("#update-select-district").val();
                var vInvestorValue = $("#update-select-investor").val();
                var vCContractorValue = $("#update-select-ccontractor").val();
                getUpdateData(vUpdateData);
                // B2: Kiểm tra dữ liệu
                var isValidate = validateUpdateData(vUpdateData, vProvinceValue, vDistrictValue);
                if (isValidate == true) {
                    // B3: xử lý hiển thị dữ liệu
                    callApiUpdateproject(vUpdateData, vProvinceValue, vDistrictValue, vInvestorValue, vCContractorValue);
                    // gọi lại tất cả projects
                    callApiGetAllprojects();
                    // Ẩn modal
                    $("#project-detail-modal").modal("hide");
                }
            }

            // Hàm xử lý khi nút xác nhận xóa project được nhấn
            function onBtnDeleteprojectConfirmClick() {
                "use strict";
                // B1: Thu thập dữ liệu (bỏ qua)
                // B2: Kiểm tra dữ liệu (bỏ qua)
                // B3: xử lý hiển thị dữ liệu
                callApiDeleteproject();
                // gọi lại tất cả projects
                callApiGetAllprojects();
                // Ẩn modal
                $("#delete-project-modal").modal("hide");
            }

            /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình */
            // Hàm load dữ liệu vào bảng
            function loadDataToTable(paramData) {
                "use strict";
                //Xóa toàn bộ dữ liệu đang có của bảng
                gTable.clear();
                //Cập nhật data cho bảng
                gTable.rows.add(paramData);
                //Cập nhật lại giao diện hiển thị bảng
                gTable.draw();
            }

            function callApiGetUserIdByToken() {
                $.ajax({
                    url: "http://localhost:8080/findUserId/Token",
                    type: 'GET',
                    dataType: "json",
                    contentType: "application/json; charset=utf-8",
                    headers: {
                        "Authorization": "Token " + token,
                    },
                    success: function (responseObject) {
                        //console.log(responseObject);
                        callApiGetEmployeeByID(responseObject);
                    },
                    error: function (pAjaxContext) {
                        //redirectToLogin();
                    }
                });
            }

            // Hàm gọi api lấy dữ liệu employee bằng id
            function callApiGetEmployeeByID(paramEmployeeId) {
                $.ajax({
                    url: "http://localhost:8080/employees/" + paramEmployeeId,
                    method: "GET",
                    async: false,
                    success: function (paramResponseObj) {
                        //console.log(paramResponseObj);
                        handlerUserDataResponse(paramResponseObj);
                    },
                    error: function (paramError) {
                        console.log(paramError);
                    }
                });
            }

            function handlerUserDataResponse(paramUserData) {
                $("#username-info").html(paramUserData.username);
                $("#user-info").html(paramUserData.username);
            }

            // Hàm gọi api lấy tất cả project
            function callApiGetAllprojects() {
                $.ajax({
                    url: "http://localhost:8080/projects",
                    method: "GET",
                    async: false,
                    headers: {
                        'Content-Type': 'application/json;charset=UTF-8',
                        "Authorization": "Token " + token,
                    },
                    success: function (paramResponseObj) {
                        console.log(paramResponseObj);
                        loadDataToTable(paramResponseObj);
                    },
                    error: function (paramError) {
                        console.log(paramError);
                    }
                });
            }
            // Hàm gọi api tất cả tỉnh thành
            function callApiGetAllProvince() {
                $.ajax({
                    url: "http://localhost:8080/provinces",
                    method: "GET",
                    async: false,
                    headers: {
                        'Content-Type': 'application/json;charset=UTF-8',
                        "Authorization": "Token " + token,
                    },
                    success: function (paramResponseObj) {
                        //console.log(paramResponseObj);
                        loadDataToProvinceModalSelect(paramResponseObj);
                    },
                    error: function (paramError) {
                        console.log(paramError);
                    }
                });
            }

            // Hàm gọi api tất cả tỉnh thành
            function callApiGetAllInvestor() {
                $.ajax({
                    url: "http://localhost:8080/investors",
                    method: "GET",
                    async: false,
                    headers: {
                        'Content-Type': 'application/json;charset=UTF-8',
                        "Authorization": "Token " + token,
                    },
                    success: function (paramResponseObj) {
                        //console.log(paramResponseObj);
                        loadDataToInvestorModalSelect(paramResponseObj);
                    },
                    error: function (paramError) {
                        console.log(paramError);
                    }
                });
            }

            // Hàm gọi api tất cả tỉnh thành
            function callApiGetAllCContractor() {
                $.ajax({
                    url: "http://localhost:8080/constructionContractors",
                    method: "GET",
                    async: false,
                    headers: {
                        'Content-Type': 'application/json;charset=UTF-8',
                        "Authorization": "Token " + token,
                    },
                    success: function (paramResponseObj) {
                        //console.log(paramResponseObj);
                        loadDataToCContractorModalSelect(paramResponseObj);
                    },
                    error: function (paramError) {
                        console.log(paramError);
                    }
                });
            }

            // Hàm xử lý gọi api lấy dữ liệu district bằng province id
            function callApiGetDistrictCreateByProvinceId(paramProvinceId) {
                "use strict";
                $.ajax({
                    url: "http://localhost:8080/districts/province/" + paramProvinceId,
                    method: "GET",
                    async: false,
                    headers: {
                        'Content-Type': 'application/json;charset=UTF-8',
                        "Authorization": "Token " + token,
                    },
                    success: function (paramResponseObj) {
                        //console.log(paramResponseObj);
                        loadDataToDistrictSelectModalCreate(paramResponseObj);
                    },
                    error: function (paramError) {
                        console.log(paramError);
                    }
                });
            }

            // Hàm xử lý gọi api lấy dữ liệu district bằng province id
            function callApiGetDistrictUpdateByProvinceId(paramProvinceId) {
                "use strict";
                $.ajax({
                    url: "http://localhost:8080/districts/province/" + paramProvinceId,
                    method: "GET",
                    async: false,
                    headers: {
                        'Content-Type': 'application/json;charset=UTF-8',
                        "Authorization": "Token " + token,
                    },
                    success: function (paramResponseObj) {
                        //console.log(paramResponseObj);
                        loadDataToDistrictSelectModalUpdate(paramResponseObj);
                    },
                    error: function (paramError) {
                        console.log(paramError);
                    }
                });
            }

            // Hàm gọi api lấy dữ liệu project bằng id
            function callApiGetprojectDataById() {
                $.ajax({
                    url: "http://localhost:8080/projects/" + gId,
                    method: "GET",
                    async: false,
                    headers: {
                        'Content-Type': 'application/json;charset=UTF-8',
                        "Authorization": "Token " + token,
                    },
                    success: function (paramResponseObj) {
                        //console.log(paramResponseObj);
                        loadDataOnDetailModal(paramResponseObj);

                    },
                    error: function (paramError) {
                        console.log(paramError);
                    }
                });
            }

            // Hàm gọi api tạo project
            function callApiCreateNewproject(paramCreateData, paramProvince, paramDistrict, paramInvestor, paramCContractor) {
                $.ajax({
                    url: "http://localhost:8080/projects/" + paramProvince + "/" + paramDistrict + "/" + paramInvestor + "/" + paramCContractor,
                    method: "POST",
                    async: false,
                    contentType: "application/json;charset=UTF-8",
                    data: JSON.stringify(paramCreateData),
                    headers: {
                        'Content-Type': 'application/json;charset=UTF-8',
                        "Authorization": "Token " + token,
                    },
                    success: function (paramResponseObj) {
                        //console.log(paramResponseObj);
                        alertSuccess("Success.");
                    },
                    error: function (paramError) {
                        console.log(paramError);
                        alertError("Failed.");
                    }
                });
            }

            // Hàm gọi api cập nhật project
            function callApiUpdateproject(paramUpdateData, paramProvince, paramDistrict, paramInvestor, paramCContractor) {
                $.ajax({
                    url: "http://localhost:8080/projects/" + gId + "/" + paramProvince + "/" + paramDistrict + "/" + paramInvestor + "/" + paramCContractor,
                    method: "PUT",
                    async: false,
                    contentType: "application/json;charset=UTF-8",
                    data: JSON.stringify(paramUpdateData),
                    headers: {
                        'Content-Type': 'application/json;charset=UTF-8',
                        "Authorization": "Token " + token,
                    },
                    success: function (paramResponseObj) {
                        //console.log(paramResponseObj);
                        alertSuccess("Success.");
                    },
                    error: function (paramError) {
                        console.log(paramError);
                        alertError("Failed.");
                    }
                });
            }

            // Hàm gọi api xóa project
            function callApiDeleteproject() {
                $.ajax({
                    url: "http://localhost:8080/projects/" + gId,
                    method: "DELETE",
                    async: false,
                    headers: {
                        'Content-Type': 'application/json;charset=UTF-8',
                        "Authorization": "Token " + token,
                    },
                    success: function (paramResponseObj) {
                        //console.log(paramResponseObj);
                        alertSuccess("Success.");
                    },
                    error: function (paramError) {
                        console.log(paramError);
                        alertError("Failed.");
                    }
                });
            }

            // Hàm thu thập dữ liệu để tạo project
            function getCreateData(paramCreateData) {
                "use strict";
                paramCreateData.name = $("#create-input-name").val().trim();
                paramCreateData.address = $("#create-input-address").val().trim();
                paramCreateData.slogan = $("#create-input-slogan").val().trim();
                paramCreateData.description = $("#create-input-description").val().trim();
                paramCreateData.acreage = $("#create-input-acreage").val().trim();
                paramCreateData.constructArea = $("#create-input-constructArea").val().trim();
                paramCreateData.numBlock = $("#create-input-numBlock").val().trim();
                paramCreateData.numFloors = $("#create-input-numFloors").val().trim();
                paramCreateData.numApartment = $("#create-input-numApartment").val().trim();
                paramCreateData.apartmenttArea = $("#create-input-apartmenttArea").val().trim();
                paramCreateData.designUnit = $("#create-input-designUnit").val().trim();
                paramCreateData.photo = $("#create-input-photo").val().trim();
                paramCreateData._lat = $("#create-input-lat").val().trim();
                paramCreateData._lng = $("#create-input-lng").val().trim();
                var utilityArr = $.map($('input[name="utilities-checkbox"]:checked'), function (e, i) {
                    return +e.value;
                });
                paramCreateData.utilities = utilityArr.toString();
                var regionLinkArr = $.map($('input[name="regionLink-checkbox"]:checked'), function (e, i) {
                    return +e.value;
                });
                paramCreateData.regionLink = regionLinkArr.toString();
            }

            // Hàm thu thập dữ liệu để cap nhat project
            function getUpdateData(paramUpdateData) {
                "use strict";
                paramUpdateData.name = $("#update-input-name").val().trim();
                paramUpdateData.address = $("#update-input-address").val().trim();
                paramUpdateData.slogan = $("#update-input-slogan").val().trim();
                paramUpdateData.description = $("#update-input-description").val().trim();
                paramUpdateData.acreage = $("#update-input-acreage").val().trim();
                paramUpdateData.constructArea = $("#update-input-constructArea").val().trim();
                paramUpdateData.numBlock = $("#update-input-numBlock").val().trim();
                paramUpdateData.numFloors = $("#update-input-numFloors").val().trim();
                paramUpdateData.numApartment = $("#update-input-numApartment").val().trim();
                paramUpdateData.apartmenttArea = $("#update-input-apartmenttArea").val().trim();
                paramUpdateData.designUnit = $("#update-input-designUnit").val().trim();
                paramUpdateData.photo = $("#update-input-photo").val().trim();
                paramUpdateData._lat = $("#update-input-lat").val().trim();
                paramUpdateData._lng = $("#update-input-lng").val().trim();
                var updateUtilityArr = $.map($('input[name="utilities-checkbox"]:checked'), function (e, i) {
                    return +e.value;
                });
                paramUpdateData.utilities = updateUtilityArr.toString();
                var updateRegionLinkArr = $.map($('input[name="regionLink-checkbox"]:checked'), function (e, i) {
                    return +e.value;
                });
                paramUpdateData.regionLink = updateRegionLinkArr.toString();
            }

            // Hàm kiểm tra dữ liệu để tạo project
            function validateCreateData(paramCreateData, paramProvince, paramDistrict) {
                "use strict";
                if (paramCreateData.name == "") {
                    alertError("Name không được để trống");
                    return false;
                }
                if (paramProvince == 0) {
                    alertError("Province không được để trống");
                    return false;
                }
                if (paramDistrict == 0) {
                    alertError("District không được để trống");
                    return false;
                }
                if (paramCreateData.numApartment == "") {
                    alertError("Số căn hộ không được để trống");
                    return false;
                }
                if (paramCreateData.utilities == "") {
                    alertError("Tiện ích không được để trống");
                    return false;
                }
                if (paramCreateData.regionLink == "") {
                    alertError("Kết nối vùng không được để trống");
                    return false;
                }
                return true;
            }

            // Hàm kiểm tra dữ liệu để cap nhat project
            function validateUpdateData(paramUpdateData, paramProvince, paramDistrict) {
                "use strict";
                if (paramUpdateData.name == "") {
                    alertError("Name không được để trống");
                    return false;
                }
                if (paramProvince == 0) {
                    alertError("Province không được để trống");
                    return false;
                }
                if (paramDistrict == 0) {
                    alertError("District không được để trống");
                    return false;
                }
                if (paramUpdateData.numApartment == "") {
                    alertError("Số căn hộ không được để trống");
                    return false;
                }
                if (paramUpdateData.utilities == "") {
                    alertError("Tiện ích không được để trống");
                    return false;
                }
                if (paramUpdateData.regionLink == "") {
                    alertError("Kết nối vùng không được để trống");
                    return false;
                }
                return true;
            }

            // Xóa trắng dữ liệu trong form create modal
            function clearDataInCreateModal() {
                $("#create-input-name").val("");
                $("#create-input-address").val("");
                $("#create-input-slogan").val("");
                $("#create-input-description").val("");
                $("#create-input-acreage").val("");
                $("#create-input-constructArea").val("");
                $("#create-input-numBlock").val("");
                $("#create-input-numFloors").val("");
                $("#create-input-numApartment").val("");
                $("#create-input-apartmenttArea").val("");
                $("#create-input-designUnit").val("");
                $("#create-input-photo").val("");
                $("#create-input-lat").val("");
                $("#create-input-lng").val("");
            }

            // load dữ liệu vào form trên detail modal
            function loadDataOnDetailModal(paramRowData) {
                $("#update-input-name").val(paramRowData.name);
                $("#update-input-address").val(paramRowData.address);
                $("#update-input-slogan").val(paramRowData.slogan);
                $("#update-input-description").val(paramRowData.description);
                $("#update-input-acreage").val(paramRowData.acreage);
                $("#update-input-constructArea").val(paramRowData.constructArea);
                $("#update-input-numBlock").val(paramRowData.numBlock);
                $("#update-input-numFloors").val(paramRowData.numFloors);
                $("#update-input-numApartment").val(paramRowData.numApartment);
                $("#update-input-apartmenttArea").val(paramRowData.apartmenttArea);
                $("#update-input-designUnit").val(paramRowData.designUnit);
                $("#update-input-photo").val(paramRowData.photo);
                $("#update-input-lat").val(paramRowData._lat);
                $("#update-input-lng").val(paramRowData._lng);
            }

            // Load dữ liệu vào ô select trên modal create ward
            function loadDataToProvinceModalSelect(paramResponse) {
                "use strict";
                var vCreateProvinceSelect = $("#create-select-province");
                for (let i = 0; i < paramResponse.length; i++) {
                    var bOption = $("<option/>");
                    bOption.prop("value", paramResponse[i].id);
                    bOption.prop("text", paramResponse[i].name);
                    vCreateProvinceSelect.append(bOption);
                };
                var vUpdateProvinceSelect = $("#update-select-province");
                for (let i = 0; i < paramResponse.length; i++) {
                    var bOption = $("<option/>");
                    bOption.prop("value", paramResponse[i].id);
                    bOption.prop("text", paramResponse[i].name);
                    vUpdateProvinceSelect.append(bOption);
                };
            }

            // Load dữ liệu vào ô select trên modal create ward
            function loadDataToInvestorModalSelect(paramResponse) {
                "use strict";
                var vSelectInvestorCreate = $("#create-select-investor");
                for (let i = 0; i < paramResponse.length; i++) {
                    var bOption = $("<option/>");
                    bOption.prop("value", paramResponse[i].id);
                    bOption.prop("text", paramResponse[i].name);
                    vSelectInvestorCreate.append(bOption);
                };
                var vSelectInvestorUpdate = $("#update-select-investor");
                for (let i = 0; i < paramResponse.length; i++) {
                    var bOption = $("<option/>");
                    bOption.prop("value", paramResponse[i].id);
                    bOption.prop("text", paramResponse[i].name);
                    vSelectInvestorUpdate.append(bOption);
                };
            }

            // Load dữ liệu vào ô select trên modal create ward
            function loadDataToCContractorModalSelect(paramResponse) {
                "use strict";
                var vSelectCContractorCreate = $("#create-select-ccontractor");
                for (let i = 0; i < paramResponse.length; i++) {
                    var bOption = $("<option/>");
                    bOption.prop("value", paramResponse[i].id);
                    bOption.prop("text", paramResponse[i].name);
                    vSelectCContractorCreate.append(bOption);
                };
                var vSelectCContractorUpdate = $("#update-select-ccontractor");
                for (let i = 0; i < paramResponse.length; i++) {
                    var bOption = $("<option/>");
                    bOption.prop("value", paramResponse[i].id);
                    bOption.prop("text", paramResponse[i].name);
                    vSelectCContractorUpdate.append(bOption);
                };
            }

            // Load dữ liệu phản hồi vào ô select
            function loadDataToDistrictSelectModalCreate(paramResDistrictList) {
                "use strict";
                var vDistrictSelectElement = $("#create-select-district");
                if (paramResDistrictList.length > 0) {
                    vDistrictSelectElement.prop("disabled", false);

                    for (let i = 0; i < paramResDistrictList.length; i++) {
                        var bOption = $("<option/>");
                        bOption.prop("value", paramResDistrictList[i].id);
                        bOption.prop("text", paramResDistrictList[i].name);
                        vDistrictSelectElement.append(bOption);
                    };
                } else {
                    vDistrictSelectElement.prop("disabled", true);
                }
            }

            // Load dữ liệu phản hồi vào ô select
            function loadDataToDistrictSelectModalUpdate(paramResDistrictList) {
                "use strict";
                var vDistrictSelectElement = $("#update-select-district");
                if (paramResDistrictList.length > 0) {
                    vDistrictSelectElement.prop("disabled", false);

                    for (let i = 0; i < paramResDistrictList.length; i++) {
                        var bOption = $("<option/>");
                        bOption.prop("value", paramResDistrictList[i].id);
                        bOption.prop("text", paramResDistrictList[i].name);
                        vDistrictSelectElement.append(bOption);
                    };
                } else {
                    vDistrictSelectElement.prop("disabled", true);
                }
            }

            function redirectToLogin() {
                // Trước khi logout cần xóa token đã lưu trong cookie
                setCookie("token", "", 1);
                window.location.href = "index.html";
            }

            //Hàm get Cookie
            function getCookie(cname) {
                var name = cname + "=";
                var decodedCookie = decodeURIComponent(document.cookie);
                var ca = decodedCookie.split(';');
                for (var i = 0; i < ca.length; i++) {
                    var c = ca[i];
                    while (c.charAt(0) == ' ') {
                        c = c.substring(1);
                    }
                    if (c.indexOf(name) == 0) {
                        return c.substring(name.length, c.length);
                    }
                }
                return "";
            }

            //Hàm setCookie đã giới thiệu ở bài trước
            function setCookie(cname, cvalue, exdays) {
                var d = new Date();
                d.setTime(d.getTime() + (exdays * 24 * 60 * 60 * 1000));
                var expires = "expires=" + d.toUTCString();
                document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
            }

            // Hàm alert success
            function alertSuccess(paramTitle) {
                "use strict";
                $(function () {
                    var Toast = Swal.mixin({
                        toast: false,
                        position: 'top',
                        showConfirmButton: false,
                        timer: 3500
                    });
                    Toast.fire({
                        icon: 'success',
                        title: paramTitle,
                    })
                });
            }

            // Hàm alert lỗi
            function alertError(paramTitle) {
                "use strict";
                $(function () {
                    var Toast = Swal.mixin({
                        toast: false,
                        position: 'top',
                        showConfirmButton: false,
                        timer: 3500
                    });
                    Toast.fire({
                        icon: 'error',
                        title: paramTitle,
                    })
                });
            }


        });

    </script>
</body>